Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Method_Request_Updates Class Reference

@brief. More...

`#include <Method_Request_Updates.h>`

Inheritance diagram for TAO_NS_Method_Request_Updates:

[legend]
Collaboration diagram for TAO_NS_Method_Request_Updates:

[legend]
List of all members.

## Public Methods
| TAO_NS_Method_Request_Updates (const TAO_NS_EventTypeSeq &added, const TAO_NS_EventTypeSeq &removed, TAO_NS_Proxy *proxy)
| Constuctor. More...
| ~TAO_NS_Method_Request_Updates ()
| Destructor. More...
TAO_NS_Method_Request * | copy (void)
| Create a copy of this object. More...
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL)
| Execute the Request. More...
## Private Attributes
const TAO_NS_EventTypeSeq | added_
| The Updates. More...
const TAO_NS_EventTypeSeq | removed_
TAO_NS_Proxy * | proxy_
| The proxy that will receive the updates. More...
TAO_NS_Refcountable_Guard | refcountable_guard_
| Guard to automatically inc/decr ref count on the proxy. More...

## Detailed Description

@brief.

## Constructor & Destructor Documentation

TAO_NS_Method_Request_Updates::TAO_NS_Method_Request_Updates | ( | const TAO_NS_EventTypeSeq & | added,
|  | const TAO_NS_EventTypeSeq & | removed,
|  | TAO_NS_Proxy * | proxy
| ) |

| Constuctor.

TAO_NS_Method_Request_Updates::~TAO_NS_Method_Request_Updates | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_NS_Method_Request * TAO_NS_Method_Request_Updates::copy | ( | void |  | ) | `[virtual]`

| Create a copy of this object. Reimplemented from TAO_NS_Method_Request.

int TAO_NS_Method_Request_Updates::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Execute the Request. Reimplemented from TAO_NS_Method_Request.

## Member Data Documentation

const TAO_NS_EventTypeSeq TAO_NS_Method_Request_Updates::added_`[private]`

| The Updates.

TAO_NS_Proxy* TAO_NS_Method_Request_Updates::proxy_`[private]`

| The proxy that will receive the updates.

TAO_NS_Refcountable_Guard TAO_NS_Method_Request_Updates::refcountable_guard_`[private]`

| Guard to automatically inc/decr ref count on the proxy.

const TAO_NS_EventTypeSeq TAO_NS_Method_Request_Updates::removed_`[private]`

The documentation for this class was generated from the following files:

- Method_Request_Updates.h
- Method_Request_Updates.cpp